| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaudi::Math::Lomont< double > Class Template Reference

the specialization for double numbers More...

`#include <GaudiKernel/Lomont.h>`

Inheritance diagram for Gaudi::Math::Lomont< double >:
[legend]
Collaboration diagram for Gaudi::Math::Lomont< double >:
[legend]

## Public Member Functions
| Lomont (const unsigned int ulps)
| constructor from ULPS: More...
bool | operator() (const double a, const double b) const
| the only one important method: More...

## Private Member Functions
| Lomont ()
| the default constructor is disabled More...

## Private Attributes
unsigned int | m_ulps
| the precision in "units in last place" More...

## Detailed Description

### template<>
class Gaudi::Math::Lomont< double >

the specialization for double numbers

See also
  class Gaudi::Math::Lomont

Attention
  The default precision is not specified!

See also
  Gaudi::Math::lomont_compare_float

Gaudi::Math::Lomont<double> compare ( 500 ) ;
const double a = ... ;
const double b = ... ;
const bool equal = compare ( a , b ) ;

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-10-22

Definition at line 200 of file Lomont.h.

## Constructor & Destructor Documentation

Gaudi::Math::Lomont< double >::Lomont | ( | const unsigned int | ulps | ) |
| inline

constructor from ULPS:

Definition at line 206 of file Lomont.h.

206 : m_ulps ( ulps ) {}
Gaudi::Math::Lomont< double >::m_ulps
unsigned int m_ulps
the precision in "units in last place"
Definition: Lomont.h:222

Gaudi::Math::Lomont< double >::Lomont | ( |  | ) |
| private

the default constructor is disabled

## Member Function Documentation

bool Gaudi::Math::Lomont< double >::operator() | ( | const double | a,
|  | const double | b
| ) |  | const
| inline

the only one important method:

Definition at line 211 of file Lomont.h.

212 { return lomont_compare_double ( a , b , m_ulps ) ; }
Gaudi::Math::Lomont< double >::m_ulps
unsigned int m_ulps
the precision in "units in last place"
Definition: Lomont.h:222
Gaudi::Math::lomont_compare_double
GAUDI_API bool lomont_compare_double(const double af, const double bf, const unsigned int maxULPs)
equality comparison of double numbers using as the metric the maximal number of Units in the Last Pla...
Definition: Lomont.cpp:289

## Member Data Documentation

unsigned int Gaudi::Math::Lomont< double >::m_ulps
| private

the precision in "units in last place"

Definition at line 222 of file Lomont.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/Lomont.h